Bug 398099 - When switching between 2 open documents the Zoom widget (status bar) disappears
Summary: When switching between 2 open documents the Zoom widget (status bar) disappears
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Appimage Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2018-08-31 14:39 UTC by mvowada
Modified: 2018-09-24 07:17 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Video (416.15 KB, video/mp4)
2018-08-31 14:39 UTC, mvowada
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mvowada 2018-08-31 14:39:06 UTC
Created attachment 114719 [details]
Video

(Krita 4.2.0-pre-alpha (git 0ebf6d9) - Ubuntu 14.04, Unity)

Possibly not depending from Krita, however when switching between 2 open windows and back, the zoom widget (status bar) disappears. (see video):

    1. CTRL+N twice (create 2 documents)
    2. switch to the previous one

Actual Results: vanished zoom widget
Comment 1 mvowada 2018-08-31 14:43:02 UTC
(typo: not depending on Krita)
Comment 2 Halla Rempt 2018-09-01 09:51:35 UTC
This is a regression: 4.1.1 doesn't show this behaviour.
Comment 3 Halla Rempt 2018-09-15 14:56:06 UTC
Git commit 12b52e3751b5a71cb1f77515337abf4bb717da20 by Boudewijn Rempt.
Committed on 15/09/2018 at 14:55.
Pushed by rempt into branch 'master'.

Show the zoom widget when switching documents

Somehow, the widget had become invisible.

M  +3    -2    libs/ui/kis_statusbar.cc

https://commits.kde.org/krita/12b52e3751b5a71cb1f77515337abf4bb717da20
Comment 4 Halla Rempt 2018-09-24 07:17:06 UTC
Git commit 79ad4845c2491fe54abfbe1e9221e13c53e4f16c by Boudewijn Rempt.
Committed on 24/09/2018 at 06:56.
Pushed by rempt into branch 'krita/4.1'.

Show the zoom widget when switching documents

Somehow, the widget had become invisible.

M  +3    -3    libs/ui/kis_statusbar.cc

https://commits.kde.org/krita/79ad4845c2491fe54abfbe1e9221e13c53e4f16c